For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
  • Products API
      • GETBrand content
      • GETBrand content by ID
      • GETCountry configuration
      • GETAvailable currencies
      • GETCurrency configuration
      • GETDonation configuration
      • GETUnderwriters and plans
      • GETSingle underwriter and plans
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Products APIBrand

Currency configuration

GET
https://api-staging.nibtravelinsurance.com/products/v1/:brandCode/currencies/:currencyIdOrCode
GET
/products/v1/:brandCode/currencies/:currencyIdOrCode
$curl https://api-staging.nibtravelinsurance.com/products/v1/nibau/currencies/currencyIdOrCode \
> -H "Authorization: Bearer <token>"
200World Nomads - AUD
1{
2 "expirySeconds": 86400,
3 "currencies": [
4 {
5 "currencyId": 1,
6 "code": "AUD",
7 "symbol": "",
8 "name": "Australian Dollar",
9 "hasMinorUnits": true
10 }
11 ]
12}
Returns configuration for a single currency for a brand
Was this page helpful?
Previous

Donation configuration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired
Brand code
Allowed values:
currencyIdOrCodestringRequired

Either a currency code (eg AUD) or a currencyId (eg 1)

Response

Success
expirySecondsinteger
currencieslist of objects